package findyourfate.com.rahuketupeyarchi;
import java.util.Date;
 
import android.annotation.SuppressLint;
import android.app.AlertDialog;
import android.app.ProgressDialog; 
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentTransaction;
import android.view.KeyEvent;
import android.view.LayoutInflater; 
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View; 
import android.view.ViewGroup;  
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner; 

public class rahuyear extends androidx.fragment.app.FragmentActivity {
 
View rootView; 

ProgressDialog progressBar;
private int progressBarStatus = 0;
private Handler progressBarHandler = new Handler();

private long fileSize = 0;
String yearsign=null;
private Spinner rahuyear;
private Button go;
private AlertDialog.Builder alt_bld;
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.rahuyear);  
			rahuyear = (Spinner)findViewById(R.id.yearofrahu);  
			 go  = (Button)findViewById(R.id.go);

			alt_bld = new AlertDialog.Builder(rahuyear.this); 
			
			 
				 
		   		 
					//ArrayList<String> yearList = new ArrayList<String>();
					// int now = new Date().getYear() + 1901;
					//for (int i = 2098; i > 1901; i--) {
					  //  yearList.add(i + "");
					     
					//}
					//ArrayAdapter<String> adapter = new ArrayAdapter<String>(getActivity(),   R.layout.spinneryear,yearList);
					//sayear.setAdapter(adapter); 
					 
					//adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item); 
					//
					  ArrayAdapter<CharSequence> adapter = ArrayAdapter.createFromResource(rahuyear.this,R.array.year_array,  R.layout.spinneryear);
					    adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item); 

					    rahuyear.setAdapter(new NothingSelectedSpinnerAdapter(adapter,
					            R.layout.spinneryear,
					            // R.layout.contact_spinner_nothing_selected_dropdown, // Optional
					            rahuyear.this)); 
					    int now = new Date().getYear() + 1901;
					    String cyear=String.valueOf(now);
					    int i = adapter.getPosition(cyear);
					    rahuyear.setSelection(i);
			 go.setOnClickListener(new View.OnClickListener()
			 { 
				 @Override
					public void onClick(View v) {
			 
					 yearsign =rahuyear.getSelectedItem().toString();
					   
				     
		        	 if (yearsign.equals("-- Select Year --"))
		    		 {
		    		 alt_bld.setTitle("Alert Message");
		    		 alt_bld.setMessage("Please Select Year")
		    		 .setCancelable(false)
		    					 .setPositiveButton("OK", new DialogInterface.OnClickListener() {
		    					 public void onClick(DialogInterface dialog, int id) {
		    						 rahuyear.requestFocus(); 
		    					 }
		    					 });
		    		 AlertDialog alert = alt_bld.create();
		    		 alert.setTitle("Alert Message");
		    		 alert.setIcon(R.drawable.alert);
		    		 alert.show();
				     }
				     
				     else
				     {
				    	 progressBar = new ProgressDialog(v.getContext());
				    	 progressBar.setProgressDrawable(rahuyear.this.getResources().getDrawable(R.drawable.progress));  
		 					progressBar.setCancelable(true);
		 					progressBar.setMessage("Please Wait....");
		 					progressBar.setTitle("Loading...");
		 					progressBar.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);
		 					progressBar.setProgress(0);
		 					progressBar.setMax(20);
		 					progressBar.show();
		 					progressBarStatus = 0;
		 					fileSize = 0;
		 					new Thread(new Runnable() {
		 						
		 						 public void run() {
		  							while (progressBarStatus < 20) {
		  			 
		  							   progressBarStatus = doSomeTasks();
		  			 
		  						 	  try {
		  								Thread.sleep(1200);
		  							  } catch (InterruptedException e) {
		  								e.printStackTrace();
		  							  }
		  			 
		  						 	  progressBarHandler.post(new Runnable() {
		  								public void run() {
		  								  progressBar.setProgress(progressBarStatus);
		  								}
		  							  });
		  							}
				            
				            
				            if (progressBarStatus >= 20) {
				    			 
 							 	try {
 									Thread.sleep(1200);
 								} catch (InterruptedException e) {
 									e.printStackTrace();
 								}

 							 	
 							 	   Fragment newFragment = new viewrahupeyarchiyear();  
		         					Bundle args = new Bundle();  
		         					args.putString("rahuyear",yearsign);
		         				 	newFragment.setArguments(args);
		         				 	
		         				 	 FragmentTransaction transaction = getSupportFragmentManager().beginTransaction();
		         					// transaction.setCustomAnimations(R.anim.bottom_in,R.anim.top_out);
		         	 				 transaction.replace(R.id.frame3, newFragment);  
		         					 transaction.commit();  
		         					progressBar.dismiss();
 						 	}
 						  }
				            
				        }).start();
				     }
		        	 
		        	 
		        	 
				     
				  
				 }
 
				 public int doSomeTasks() {
					 
						while (fileSize <= 1000000) {
				 
							fileSize++;
				 
							if (fileSize == 100000) {
								return 10;
							}
							
						}
				 
						return 100;
				 	}
			});
		       
		      
	 
			 
}	 
	public boolean onKeyDown(int keycode, KeyEvent event ) {
	   	 if(keycode == KeyEvent.KEYCODE_SETTINGS){
	       	 
	   		 	Intent int_home1 = new Intent(rahuyear.this,home.class); 
	   		 	int_home1.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	    		startActivity(int_home1);
	    		return true;
	   	 		}
	   	 		if(keycode == KeyEvent.KEYCODE_HOME){
	   	 		Intent int_home1 = new Intent(rahuyear.this,home.class); 
	   		 	int_home1.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	    		startActivity(int_home1);
		    	return true;
	   	 		}
			   	 if(keycode == KeyEvent.KEYCODE_MENU){
			   		Intent int_home1 = new Intent(rahuyear.this,home.class); 
		   		 	int_home1.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		    		startActivity(int_home1);
			   	  return true;
			   	 }
			   	 if(keycode == KeyEvent.KEYCODE_BACK){
			   		Intent int_home1 = new Intent(rahuyear.this,home.class); 
		   		 	int_home1.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
		    		startActivity(int_home1);
				    return true;
			   	 	}
	   	     return this.onKeyDown(keycode,event);  
	   	    }
	@Override
    public boolean onCreateOptionsMenu(Menu menu) {
 	
		 MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.main, menu);
		    menu.findItem(R.id.icon_rasi).setVisible(true);  
		 // animation = (AnimationView) menu.findItem(R.id.character);
		    return super.onCreateOptionsMenu(menu); 
		    
		    
    }

 @SuppressLint("NewApi")
	@Override
   public boolean onOptionsItemSelected(MenuItem item) {
	  if (item.getItemId() ==android.R.id.home) {
 		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
 	  }
	  else if (item.getItemId() ==R.id.icon_rasi) {
 		  Intent int_home = new Intent(this, home.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
 	  }
	/*  else if (item.getItemId() ==R.id.rahu) {
 		  Intent int_home = new Intent(this, rahucontent.class);
	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	             startActivity(int_home); 
 	  }
	  else if (item.getItemId() ==R.id.rahupalan) {
	  		final ProgressDialog progressDoalog = new ProgressDialog(rahucontent.this);
	  		progressDoalog.setProgressDrawable(rahucontent.this.getResources().getDrawable(R.drawable.progress));  
	     progressDoalog.setMessage("Please Wait....");
	    progressDoalog.setTitle("Loading...");
	    progressDoalog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
	    progressDoalog.setCancelable(true); 
	    progressDoalog.show();
	    new Thread() {
	        public void run() {
	            try {
	            	 Intent int_home = new Intent(rahucontent.this, palangal2017.class);
	  	           int_home.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	  	             startActivity(int_home); 
	   	    		 
		  			 
	            } catch (Exception e) {
	            }
	            progressDoalog.dismiss();
	        }
	    }.start();
	  }*/
     		else if (item.getItemId() ==R.id.guru) {
	    
	    
AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
String desc="App to find out when Guru Peyarchi or Jupiter transit takes place.";	


	/*LinearLayout layout = new LinearLayout(this); 
	TextView tvMessage = new TextView(this);  
	tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
	tvMessage.setText(desc); 
 tvMessage.setPadding(5, 5, 5, 5);
	tvMessage.setTextSize(17); 
	layout.setOrientation(LinearLayout.VERTICAL);
	layout.addView(tvMessage); 
	alt_compat.setView(layout);  */

				alt_compat.setTitle("Guru Peyarchi");
				alt_compat.setMessage(desc); 
				alt_compat.setCancelable(false) 
						 
						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	 
						                    	 dialog.cancel();
						                    }
						                })
						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
						                    public void onClick(DialogInterface dialog, int id) {
						                    	dialog.cancel();
						                    	      	  						                    }
						                })
						                
						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
						    public void onClick(DialogInterface dialog, int id) {
						    	
						    	
						     
						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.gurupeyarchi"));
						    	 startActivity(browserIntent);
						    
						   
}
						    });
						
						      
						         AlertDialog alert = alt_compat.create();   
						         alert.show();

 	    	}
    		else if (item.getItemId() ==R.id.sani) {
   	  	    
   	  	    
 			  AlertDialog.Builder alt_compat = new AlertDialog.Builder(this);
 			  String desc="App to find out when Sani Peyarchi or Saturn transit takes place.";	
 			  
 			  
 				/*LinearLayout layout = new LinearLayout(this); 
 				TextView tvMessage = new TextView(this);  
 				tvMessage.setBackgroundColor(Color.parseColor("#e9b44f")); 
 				tvMessage.setText(desc); 
 			    tvMessage.setPadding(5, 5, 5, 5);
 				tvMessage.setTextSize(17); 
 				layout.setOrientation(LinearLayout.VERTICAL);
 				layout.addView(tvMessage); 
 				alt_compat.setView(layout);  */
 			  
 			  				alt_compat.setTitle("Sani Peyarchi");
 			  				alt_compat.setMessage(desc); 
 							alt_compat.setCancelable(false) 
 			  						 
 			  						                .setPositiveButton("Later", new DialogInterface.OnClickListener() {
 			  						                    public void onClick(DialogInterface dialog, int id) {
 			  						                    	 
 			  						                    	 dialog.cancel();
 			  						                    }
 			  						                })
 			  						                .setNegativeButton("Never/Already", new DialogInterface.OnClickListener() {
 			  						                    public void onClick(DialogInterface dialog, int id) {
 			  						                    	dialog.cancel();
 			  						                    	      	  						                    }
 			  						                })
 			  						                
 			  						                .setNeutralButton("Open", new DialogInterface.OnClickListener() {
 			  						    public void onClick(DialogInterface dialog, int id) {
 			  						    	
 			  						    	
 			  						     
 			  						    	 Intent browserIntent = new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=findyourfate.com.sanipeyarchi"));
 			  						    	 startActivity(browserIntent);
 			  						    
 			  						   
 			  }
 			  						    });
 			  						
 			  						      
 			  						         AlertDialog alert = alt_compat.create();   
 			  						         alert.show();

 			    	    	}
 	    	else if (item.getItemId() ==R.id.icon_exit) {
	     	AlertDialog.Builder builder = new AlertDialog.Builder(this);
		         builder.setMessage("Are you sure you want to leave this App.")
		                .setCancelable(false)
		                .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                    	Intent intent = new Intent(Intent.ACTION_MAIN);
			       		    	intent.addCategory(Intent.CATEGORY_HOME);
			       		    	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
			       		    	startActivity(intent);
		                    }
		                })
		                .setNegativeButton("No", new DialogInterface.OnClickListener() {
		                    public void onClick(DialogInterface dialog, int id) {
		                         dialog.cancel();
		                    }
		                });
		         AlertDialog alert1 = builder.create();
		         alert1.setTitle("Close App.");
		         alert1.setIcon(R.drawable.alert);
		         alert1.show();
 	    	}
 	    	
 	    	else if (item.getItemId() ==R.id.share) {
 	    		
	    	Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
	    	emailIntent.setType("text/plain");
   		emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Rahu-Ketu Peyarchi by findyourfate.com");
   		emailIntent.putExtra(android.content.Intent.EXTRA_TEXT, "Hi,I would like to suggest, this Rahu-Ketu Peyarchi App to you. Click this link to download app http://goo.gl/ypifK6"+"\n\n"+" Regards");
     startActivity(Intent.createChooser(emailIntent,"Share using")); 
 	    	}
 	    	 else {
 	     	} 
 	    	return true;
	           
	    
   }
    
	
}






